import { Request, Response } from "express";

import { AppDataSource } from "../data-source";
import { Post } from "../entity/Post";

class PostController {
    async create(req: Request, res: Response): Promise<void> {
        const post = res.locals.post;
        await AppDataSource.manager.save(post);

        res.status(200).send("Ok");
    }

    async update(req: Request, res: Response): Promise<void> {
        const { postId } = req.params;

        const post = res.locals.post;
        await AppDataSource.manager.update(Post, { id: postId }, post);

        res.status(200).send("Ok");
    }

    async delete(req: Request, res: Response): Promise<void> {
        const { postId } = req.params;

        await AppDataSource.manager.delete(Post, { id: postId });

        res.status(200).send("Ok");
    }

    async get(req: Request, res: Response): Promise<void> { 
        const { postId } = req.params;

        const post = await AppDataSource.manager.findOneBy(Post, {id: Number.parseInt(postId)});

        res.status(200).send(post);
    }
}

export default new PostController();