import React, { useEffect, useState } from 'react';
import Cookies from 'js-cookie';
import Login from './Login.tsx';

function Index() {
    const [users, setUsers] = useState([]);

    useEffect(() => {
        const fetchAllUsers = async () => {
            await fetch(`/api/v1/user/all`, {method: "GET"})
                .then(response => response.json())
                .then(usersJSON => setUsers(usersJSON));
        }

        fetchAllUsers()
    }, []);

    const gotToUser = (event) => {
        window.location.href = `/user/?userId=${event.target.id}`;
    }

    const newPost = () => {
        window.location.href = `/post`;
    }

    return (
        <div>
            {Cookies.get("jwt")? (
                <>
                <center><button onClick={newPost}>Новый пост</button></center>
                <div className="users">
                    {users.map((user: any) => {
                        return <div className="userEntry" key={user.id} id={user.id} onClick={gotToUser}>{user.username}</div>
                    })}
                </div>
                </>
            ) : (
                <Login />
            )}
        </div>
    );
}

export default Index;